=== debian/changelog ===
dde-launchpad (0.8.5) unstable; urgency=medium

  * bump version to 0.8.5

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 14 Aug 2024 14:32:05 +0800

dde-launchpad (0.8.4) unstable; urgency=medium

  * fix: fullscreen frame can't get keyboard focus(Issue: 10224)
  * fix: the full screen window has rounded corners(Issue: 9994)

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 08 Aug 2024 15:10:38 +0800

dde-launchpad (0.8.3) unstable; urgency=medium

  * fix: display issues with fullscreen frame(Issue: 9996)
  * fix: personalize fullscreen mode instead of windowed mode
  * fix: windowed mode folder animation incorrect start point
  * fix: fullscreen frame follows the dock(Issue: 7188)

 -- xionglinlin <xionglinlin@uniontech.com>  Tue, 06 Aug 2024 15:47:58 +0800

dde-launchpad (0.8.2) unstable; urgency=medium

  * fix: Cannot open apps inside folders with keyboard(Issue: 9930)
  * fix: Insufficient background opacity when opening folder(Issue: 10037)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 31 Jul 2024 14:56:03 +0800

dde-launchpad (0.8.1) unstable; urgency=medium

  * fix: mini launcher can't open the appGroup by space or return key(Issue: 9737)
  * fix: Frequently used app items will overlap search bar splitline(Issue: 9748)
  * chore(i18n): update translations(Issue: 9898)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 13:49:48 +0800

dde-launchpad (0.8.0) unstable; urgency=medium

  * Insufficient transparency of the outer border (linuxdeepin/developer-center#8342)
  * Can't input Chinese when opening the launcher (linuxdeepin/developer-center#8469)
  * Cherry-pick fixes from 0.7.x maintenance branch

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 17 Jul 2024 14:04:00 +0800

dde-launchpad (0.7.6) unstable; urgency=medium

  * Fix: #8807
  * Fix: #9067
  * Fix: #9446
  * Fix: #8060
  * Fix: #9450
  * Fix: #9449
  * Fix: #9578
  * Fix: #9567
  * Fix: #9615

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 05 Jul 2024 14:47:36 +0800

dde-launchpad (0.7.5) unstable; urgency=medium

  * Fix #6818
  * Fix #8807
  * Fix #9374

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 27 Jun 2024 10:55:50 +0800

dde-launchpad (0.7.4) unstable; urgency=medium

  * release 0.7.4

 -- Mike Chen <chenke@deepin.org>  Mon, 24 Jun 2024 13:57:42 +0800

dde-launchpad (0.7.3) unstable; urgency=medium

  * Fix #8694
  * Fix #8805
  * Fix #8980
  * Fix #8495
  * Fix #8828
  * Fix #7949
  * Fix #8577
  * Fix #8824
  * Fix #8674
  * Fix #8655
  * Fix #9009
  * Fix #8832
  * Fix #8972
  * Fix #8342
  * release 0.7.3

 -- Mike Chen <chenke@deepin.org>  Mon, 17 Jun 2024 10:34:07 +0800

dde-launchpad (0.7.2) unstable; urgency=medium

  * release 0.7.2

 -- Mike Chen <chenke@deepin.org>  Thu, 13 Jun 2024 10:26:10 +0800

dde-launchpad (0.7.1) unstable; urgency=medium

  * fix: folder did not remove without item (linuxdeepin/developer-center#8947)
  * Fix #8577
  * Fix #8862
  * Fix #8376
  * Fix #8689
  * Fix #8244
  * Fix #8384
  * release 0.7.1

 -- zsien <quezhiyong@deepin.org>  Fri, 07 Jun 2024 15:11:35 +0800

dde-launchpad (0.7.0) unstable; urgency=medium

  * Fix missing border in popup (linuxdeepin/developer-center#8409)
  * Now requires AppStreamQt 1.0
  * App group round corner (linuxdeepin/developer-center#8336)
  * Update built-in compulsory app list (linuxdeepin/developer-center#8674)
  * Show highlighted item all the time in fullscreen mode
  * Add menu entry to bring item to front in freeform sort mode
  * Update translations
  * Fix Enter and Space key not able to launch app (linuxdeepin/developer-center#8584)
  * PageIndicator styling fix (linuxdeepin/developer-center#8688)
  * Fix menu popup focus (linuxdeepin/developer-center#7629)
  * Fix incorrect X-Deepin-Vendor check

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 29 May 2024 13:37:00 +0800

dde-launchpad (0.6.12) unstable; urgency=medium

  * fix: dde-control-center can be uninstalled
  * fix: missing blur for Menu when it's parent is clip(Issue: https://github.com/linuxdeepin/developer-center/issues/8468)

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 May 2024 18:26:49 +0800

dde-launchpad (0.6.11) unstable; urgency=medium

  * Fix search result overflow
  * Ensure AppItemMenu is modal (linuxdeepin/developer-center#8477)
  * Fix numpad quick search not working (linuxdeepin/developer-center#8495)

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 10 May 2024 18:35:00 +0800

dde-launchpad (0.6.10) unstable; urgency=medium

  * Fix missing blur (linuxdeepin/developer-center#8468)
  * Workaround QTBUG-125139 (linuxdeepin/developer-center#8475)
  * Fix blank page after drag (linuxdeepin/developer-center#8358) (linuxdeepin/developer-center#8363)
  * Check Ctrl key before accepting quick search (linuxdeepin/developer-center#8463)
  * Avoid hang when drop to last item in page (linuxdeepin/developer-center#8457)
  * Avoid two apps launched when click in folder (linuxdeepin/developer-center#8462)
  * Ensure scrollbar visible for search result (linuxdeepin/developer-center#7833)
  * Fix thumbnail not shown when folder name too long (linuxdeepin/developer-center#8336)
  * Allow continue search when search edit is not focused (linuxdeepin/developer-center#7627)
  * Fix enter to launch current app (linuxdeepin/developer-center#8060)
  * Only show tooltip when truncated (linuxdeepin/developer-center#8409)
  * Fix icon not clear (linuxdeepin/developer-center#8409)
  * Various UI fixes (linuxdeepin/developer-center#8409)
  * Update translations

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 09 May 2024 14:18:00 +0800

dde-launchpad (0.6.9) unstable; urgency=medium

  * fix: padding error in large font(Issue: https://github.com/linuxdeepin/developer-center/issues/8295)
  * fix: List's item is not centered(Issue: https://github.com/linuxdeepin/developer-center/issues/8361)
  * i18n: Translated using Weblate (Finnish) (#245)
    Thanks to Weblate (bot)
  * fix: There are empty application groups.(issue: 8367)

