=== debian/changelog ===
dde-launchpad (1.0.6) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#453)

 -- Wu Haotian <wuhaotian@uniontech.com>  Fri, 01 Nov 2024 10:23:38 +0800

dde-launchpad (1.0.5) unstable; urgency=medium

  * fix: Dock can overlap right-click menu (#454)

 -- Yutao Meng <mengyutao@deepin.org>  Thu, 24 Oct 2024 10:37:25 +0800

dde-launchpad (1.0.4) unstable; urgency=medium

  * fix: avoid hover animation for grid items
  * feat: display autostart badge for fullscreen frame
  * fix: incorrect display location for autostart badge
  * feat: Hide pageindicator when only one app page exists

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 16 Oct 2024 14:27:04 +0800

dde-launchpad (1.0.3) unstable; urgency=medium

  * fix: missing oblique tab operation
  * fix: the focus position is wrong when turning the page
  * feat: Disable itemMoveTransition when switching to FullscreenFrame
  * fix: the color of dropIndicator under the black theme
  * fix: tooltip delay time
  * fix: missing tips when button hover
  * fix: window radius isn't changed

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 25 Sep 2024 16:33:36 +0800

dde-launchpad (1.0.2) unstable; urgency=medium

  * fix: failed to switch pages by clicking indicator button

 -- Wang Fei <wangfei@deepin.org>  Wed, 11 Sep 2024 15:57:51 +0800

dde-launchpad (1.0.1) unstable; urgency=medium

  * fix: update the color of a darg-and-drop in FreeSortList(Issue: 271431)
  * fix: add run-time dependencies

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 04 Sep 2024 17:03:45 +0800

dde-launchpad (1.0.0) unstable; urgency=medium

  * Update translation from Transifex

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 02 Sep 2024 16:11:00 +0800

dde-launchpad (0.8.7) unstable; urgency=medium

  * fix: gridView tab switched too quickly(Issue: https://github.com/linuxdeepin/developer-center/issues/10481)

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 29 Aug 2024 10:19:01 +0800

dde-launchpad (0.8.6) unstable; urgency=medium

  * fix: modify the fullscreen launcher window opening and closing animation(Issue: 10322)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 17:46:40 +0800
