=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
 # v-- provides qdbusxml2cpp-fix binary
  libdtk6core-bin,
 # v-- provides DHiDPIHelper
- libdtk6gui-dev,
- libdtk6declarative-dev,
+ libdtk6gui-dev (>= 6.0.19),
+ libdtk6declarative-dev (>= 6.0.19),
  libdde-shell-dev (>= 0.0.10),
  libappstreamqt-dev (>= 1.0.0)
 Standards-Version: 4.6.0
@@ -36,7 +36,8 @@
  ${misc:Depends},
  dde-application-manager (>> 1.2.2),
  dde-application-wizard-daemon-compat,
- libdtk6declarative(>=6.0.13),
+ libdtk6gui(>= 6.0.19),
+ libdtk6declarative(>= 6.0.19),
  qml6-module-qtquick-layouts,
  qml6-module-qtquick-window,
  qml6-module-qtquick-controls,
