## dde-launchpad 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,7 @@
     ${PROJECT_SOURCE_DIR}/qml/Main.qml
     ${PROJECT_SOURCE_DIR}/qml/FullscreenFrame.qml
     ${PROJECT_SOURCE_DIR}/qml/AppItemMenu.qml
+    ${PROJECT_SOURCE_DIR}/qml/DummyAppItemMenu.qml
     ${PROJECT_SOURCE_DIR}/qml/GridViewContainer.qml
     ${PROJECT_SOURCE_DIR}/qml/DrawerFolder.qml
     ${PROJECT_SOURCE_DIR}/qml/IconItemDelegate.qml
@@ -84,7 +85,9 @@
 #       see also: https://www.qt.io/blog/revisited-i18n-with-cmake
 set(QML_FILES_NEED_TRANSLATION
     qml/AppItemMenu.qml
+    qml/DummyAppItemMenu.qml
     qml/Main.qml
+    qml/FullscreenFrame.qml
     ${WINDOWED_QML_FILES}
 )
