=== debian/changelog ===
dde-launchpad (1.0.11) unstable; urgency=medium

  * fix: add base locale as fallback for app display name
  * chore: update section to DDE in debian/control

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 27 Mar 2025 17:25:00 +0800

dde-launchpad (1.0.10) unstable; urgency=medium

  * fix: the search results are displayed in the middle (#496)

 -- xionglinlin <xionglinlin@uniontech.com>  Tue, 31 Dec 2024 11:39:40 +0800

dde-launchpad (1.0.9) unstable; urgency=medium

 feat: Show autostart icon for autostart apps in the windowed list
 fix: incomplete compulsory apps

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 15:55:52 +0800
