=== debian/changelog ===
dde-launchpad (1.99.15) unstable; urgency=medium

  * fix: The alphabet also closes when the launchpad is shut down
  * fix: Lack of diagonal operation functionality.
  * fix: search app when use blank can not find app.
  * Revert "feat: Add fuzzy search support for applications"

-- YeShanShan <yeshanshan@uniontech.com>  Thu, 15 May 2025 21:14:56 +0800

dde-launchpad (1.99.14) UNRELEASED; urgency=medium

  * fix: Dragging applications in application folder cannot create a new page (Bug-288839)
  * fix: add x-dde-dock-dnd-source for dde-dock.
  * fix: cancel hovered state after move mouse in the categorized display. (Bug-271375)

-- Wu Jiangyu <wujiangyu@uniontech.com>  Tue, 13 May 2025 17:17:000 +0800

dde-launchpad (1.99.13) UNRELEASED; urgency=medium

  * fix: The four corners can't be dragged properly in full-screen mode (Bug-310813)
  * feat: add Apps winthin folder are dragged across pages. (Bug-288691)
  * fix: Clicking tab multiple times to switch focus appear to switch back and forth (Bug-315227)
  * fix: Uninstalling app in fullscreen doesn't close launcher (Bug-315255)
  * fix: Add quotation marks to the app name in the uninstall dialog (Bug-315259)
  * Update translations from Transifex

-- Wu Jiangyu <wujiangyu@uniontech.com>  Fri, 29 May 2025 08:36:000 +0800

dde-launchpad (1.99.12) UNRELEASED; urgency=medium

  * fix: clicking the left and right keys no response in fullscreen.
  * fix: The title text of launcher application group fontbold
  * Update translations from Transifex

-- Wu Jiangyu <wujiangyu@uniontech.com>  Tue, 29 Apr 2025 11:14:000 +0800

dde-launchpad (1.99.11) UNRELEASED; urgency=medium

  * fix: add base locale as fallback for app display name (Bug-310179)
  * fix: drag-n-drop create app folder have incorrect app ordering (Bug-288919)
  * Update translations from Transifex

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 17 Apr 2025 17:39:00 +0800

dde-launchpad (1.99.10) UNRELEASED; urgency=medium

  * fix: incorrect selectedTextColor for folderPopup (Bug-301103)
  * fix: correct category name for Games (Bug-289127)

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 21 Mar 2025 9:10:00 +0800

dde-launchpad (1.99.9) UNRELEASED; urgency=medium

  * fix: assign fullscreen frame screen on init completed (Bug-300309)

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 12 Mar 2025 10:22:00 +0800

dde-launchpad (1.99.8) UNRELEASED; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment
  * fix: item delegate margin not working in AppListView (Bug-300939)
  * fix: cannot stop scrolling after drop in some cases (Bug-303553)

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 06 Mar 2025 20:17:00 +0800

dde-launchpad (1.99.7) UNRELEASED; urgency=medium

  * fix: fullscreen launcher should follow dock screen (Bug-300309)

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 27 Feb 2025 13:37:00 +0800

dde-launchpad (1.99.6) UNRELEASED; urgency=medium

  * fix(UI): add a footer for windowed mode list view for padding
  * feat: apply drop while dragging for freeform sort view
  * i18n: Updates for project Deepin Desktop Environment (#505)
    Thanks to transifex-integration[bot]
  * fix: can't search polyphonic characters
  * chore: remove warning

 -- Yeshanshan <yeshanshan@deepin.org>  Thu, 13 Feb 2025 21:58:29 +0800

dde-launchpad (1.99.5) UNRELEASED; urgency=medium

  * fix: incorrect FocusBorder for Windowed
  * fix: siderBar icons display error icons under dark theme (#502)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 20:23:24 +0800

dde-launchpad (1.99.4) UNRELEASED; urgency=medium

  * fix: Hide launchpad window as soon as launching Apps (#492)
  * [skip CI] Translate dde-launchpad.ts in ar
  * [skip CI] Translate dde-launchpad.ts in ar
  * fix: Close folder popup in windowed mode
  * fix: hover background for category list view items
  * chore: update section to DDE in debian/control
  * fix: quick panel still show while launchpad show
  * fix: the search results are displayed in the middle (#495)

 -- xionglinlin <xionglinlin@uniontech.com>  Tue, 24 Dec 2024 19:44:07 +0800

dde-launchpad (1.99.3) UNRELEASED; urgency=medium

  * Show autostart icons for items in freeform-sort view
  * Fix icons in some view are not clickable
  * Add missing translation for launchpad icon on taskbar area
  * Stop scrolling when freeform-sort view item drag finished
  * Update tooltip delay time
  * Fix x11 launchpad cannot hide

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 06 Dec 2024 16:13:00 +0800

dde-launchpad (1.99.2) UNRELEASED; urgency=medium

  * support most areas apps drop to dock (PMS-285139)
  * fix some strings on windowed launcher mode not translated
    (PMS-287975, PMS-287083, PMS-289493)
  * update translations

 -- Wang Zichong <wangzichong@deepin.org>  Sat, 30 Nov 2024 14:20:00 +0800

dde-launchpad (1.99.1) UNRELEASED; urgency=medium

  * update tr
  * i18n: update ts files for launcher applet
  * chore: update current unit test
  * fix: hide the power button in treeland
  * fix: modify the way of request shutdown (#466)

 -- Zhang Kun <zhangkun2@uniontech.com>  Fri, 22 Nov 2024 11:39:37 +0800

dde-launchpad (1.99.0) UNRELEASED; urgency=medium

  * Support freeform sort area drag-to-scroll in windowed mode launcher
  * Move launcheritem applet from dde-shell to dde-launchpad
  * Support dummy (placeholder) package
  * Display autostart badge for autostart items
  * fix failed to switch pages by clicking page indicator (PMS-272715)
  * Add tooltip for some icon-only buttons
  * Fix incorrect alignment windowed mode search result view on Qt 6.8

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 28 Oct 2024 19:14:00 +0800
