## dde-launchpad 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,8 +38,6 @@
 
 set(QML_IMPORT_PATH ${QML_IMPORT_PATH} ${CMAKE_CURRENT_BINARY_DIR}/ CACHE STRING "" FORCE)
 
-add_subdirectory(systemd)
-add_subdirectory(dbus)
 add_subdirectory(src/gioutils)
 add_subdirectory(src/utils)
 add_subdirectory(src/quick)
@@ -84,10 +82,10 @@
 # TODO: switch to the new qt_add_translations usage introduced in Qt 6.7
 #       see also: https://www.qt.io/blog/revisited-i18n-with-cmake
 set(QML_FILES_NEED_TRANSLATION
-    qml/AppItemMenu.qml
-    qml/DummyAppItemMenu.qml
-    qml/Main.qml
-    qml/FullscreenFrame.qml
+    ${PROJECT_SOURCE_DIR}/qml/AppItemMenu.qml
+    ${PROJECT_SOURCE_DIR}/qml/DummyAppItemMenu.qml
+    ${PROJECT_SOURCE_DIR}/qml/Main.qml
+    ${PROJECT_SOURCE_DIR}/qml/FullscreenFrame.qml
     ${WINDOWED_QML_FILES}
 )
 
@@ -120,15 +118,18 @@
 
 qt_add_dbus_adaptor(DBUS_ADAPTER_FILES dbus/org.deepin.dde.Launcher1.xml launchercontroller.h LauncherController)
 
-qt_add_executable(${BIN_NAME}
-    main.cpp
+qt_add_library(launchpadcommon SHARED
     ${SOURCE_FILES}
     ${DBUS_ADAPTER_FILES}
     ${RESOURCES}
     ${TRANSLATED_FILES}
 )
 
-qt_add_qml_module(${BIN_NAME}
+qt_add_executable(${BIN_NAME}
+    main.cpp
+)
+
+qt_add_qml_module(launchpadcommon
     URI org.deepin.launchpad
     VERSION 1.0
     RESOURCES qml.qrc
@@ -137,6 +138,7 @@
     QML_FILES
         ${QML_FILES}
 )
+set_target_properties(launchpadcommon PROPERTIES PREFIX "")
 
 qt_add_translations(${BIN_NAME}
     TS_FILES ${TRANSLATION_FILES}
@@ -149,9 +151,10 @@
     DDE_LAUNCHPAD_VERSION=${CMAKE_PROJECT_VERSION}
 )
 
-target_link_libraries(${BIN_NAME} PRIVATE
+target_link_libraries(launchpadcommon PUBLIC
     ${DTK_NS}::Core
     ${DTK_NS}::Gui
+    Qt::GuiPrivate
     Qt::Qml
     Qt::Quick
     Qt::QuickControls2
@@ -165,11 +168,15 @@
     treeland-integration
 )
 
-install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
+target_link_libraries(${BIN_NAME} PRIVATE
+    launchpadcommon
+)
+
+install(TARGETS launchpadcommon DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${BIN_NAME}/translations)
 install(
     FILES dist/org.deepin.dde.shell.launchpad.appdata.xml
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
 )
 
-include(dde-shell-wrapper/src.cmake)
+add_subdirectory(shell-launcher-applet)
