=== debian/changelog ===
dde-launchpad (2.0.1) unstable; urgency=medium

  * feat: add search for Uppercase and modify deepin-XXX logic.

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 16:41:52 +0800

dde-launchpad (2.0.0) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#581)
  * fix: when drag app for move to anthoer area,add speed with change position.
  * fix: when search item, modify select color.

-- yeshanshan <yeshanshan@deepin.org>  Thu, 18 Jun 2025 19:22:00 +0800

dde-launchpad (1.99.17) UNRELEASED; urgency=medium

  * fix: app will automatically fill in from the first page of folder
  * fix: when drag app to another app from folder,add animation and auto-move with folders
  * feat: Added left and right button switching in full-screen mode
  * feat: add focus with AlphabetCategory when change to another word

-- Wang Zichong <wangzichong@deepin.org>  Thu, 12 Jun 2025 19:22:00 +0800

dde-launchpad (1.99.16) UNRELEASED; urgency=medium

  * fix: when only one page, hide indicator. 
  * fix: Dock can overlapping right-click menu 
  * feat: add Support for acronym matching and others. 
  * fix: Install new app will start from first page to fill. 

-- Wu Jiangyu <wujiangyu@uniontech.com>  Thu, 05 Jun 2025 16:22:46 +0800
