## dde-launchpad 2.0.4

=== debian/changelog ===
dde-launchpad (2.0.4) unstable; urgency=medium

  * fix: optimize drag and drop indicator behavior
  * fix: update hover colors and add dark mode variant
  * feat: add search filter proxy model tests

 -- WuJiangYu <wujiangyu@uniontech.com>  Wed, 16 Jul 2025 10:47:30 +0800

dde-launchpad (2.0.3) unstable; urgency=medium

  * fix: disable drag when menus or popups are visible
  * feat: Disable itemMoveTransition when switching to FullscreenFrame
    (#424)
  * i18n: Updates for project Deepin Desktop Environment (#596)
  * fix: adjust folder grid item height consistency
  * feat: call pre-uninstall hook from launchpad
  * fix: reset view position on category type change
  * fix: update color with install dot.
  * fix: Launchpad crash
  * fix: update theme with installed dot.
  * style: update new app indicator styling
  * fix: disable initial animations in FreeSortListView
  * fix: handle menu cleanup and visibility in SideBar
  * fix: update search filter logic and visibility
  * feat: add package name search configuration
  * fix: fix build warnings.
  * feat: Added search priority display.

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:15:14 +0800

dde-launchpad (2.0.2) unstable; urgency=medium

  * fix: add hardening compiler flags for Debian build
  * chore: avoid show confirm uninstall dialog when have preuninstall
    hook
  * i18n: Updates for project Deepin Desktop Environment (#588)
  * fix: when fullscreen, click dock, launchpad will not close.
  * i18n: Translate org.deepin.ds.dock.launcherapplet.ts in pt_BR (#584)

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:59:52 +0800
