=== debian/changelog ===
dde-launchpad (2.0.9) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#642)
  * fix: update confirmation dialog button text and layout
  * i18n: Translate org.deepin.ds.dock.launcherapplet.ts in pt_BR (#637)
  * fix: avoid calling endMoveRows() if beginMoveRows() is failed
  * fix: fix building warnings.

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 21 Aug 2025 16:57:31 +0800

dde-launchpad (2.0.8) unstable; urgency=medium

  * fix: adjust grid view highlight appearance
  * fix: update sidebar icons use same icons when change themes.

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 14 Aug 2025 17:23:59 +0800

dde-launchpad (2.0.7) unstable; urgency=medium

  * i18n: Translate org.deepin.ds.dock.launcherapplet.ts in uk (#628)
  * fix: improve window transition and drag visibility

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:39:03 +0800

dde-launchpad (2.0.6) unstable; urgency=medium

  * fix: click area keep same with app on dock.
  * fix: simplify uninstall dialog button layout
  * fix: resolve focus loss when switching from fullscreen to windowed
  * i18n: Updates for project Deepin Desktop Environment (#626)
  * fix: modify confirm to uninstall.

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 07 Aug 2025 20:01:25 +0800

dde-launchpad (2.0.5) unstable; urgency=medium

  * feat: add alwaysShowHighlighted property to GridViewContainer
  * fix: adjust margins in list views
  * chore: switch to use newer REUSE.toml for license check
  * chore: remove dde-launchpad binary since it's no longer used
  * feat: add dark mode support for fullscreen context menu
  * feat: add display scaling support in desktop integration
  * feat: add F1 key help support for launcher
  * fix: improve drop indicator implementation in FreeSortListView
  * fix: adjust menu item margins in AppListView
  * fix: optimize drag and drop indicator behavior
  * fix: update hover colors and add dark mode variant
  * feat: add search filter proxy model tests

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 04 Aug 2025 16:01:10 +0800
